﻿using System;
using System.Runtime.InteropServices;
using System.Text;

namespace CCC_Demo
{
    class CCCpcisync
    {
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_info", CharSet = CharSet.Auto)]
        public static extern int synchro_info(int card, [MarshalAs(UnmanagedType.LPWStr)] StringBuilder dpathptr,
            [MarshalAs(UnmanagedType.LPWStr)] StringBuilder locationptr);
        [DllImport("ccc_pcisync_api.dll",EntryPoint = "synchro_read")]
        public static extern int synchro_read(int card, int channel, ref float synchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_write")]
        public static extern int synchro_write(int card, int channel, float synchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_read_multi")]
        public static extern int synchro_read_multi(int card, int channel, int ratio, ref double synchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_write_multi")]
        public static extern int synchro_write_multi(int card, int channel, int ratio, double synchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_resolution")]
        public static extern int synchro_resolution(int card, int channel, int res);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_test")]
        public static extern int synchro_test(int card, int channel, int test);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_external_amp")]
        public static extern int synchro_external_amp(int card, int channel, int extamp);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_read_binary")]
        public static extern int synchro_read_binary(int card, int channel, ref int isynchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_write_binary")]
        public static extern int synchro_write_binary(int card, int channel, ref int synchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_read_multi_binary")]
        public static extern int synchro_read_multi_binary(int card, int channel, int ratio, ref int isynchro);
        [DllImport("ccc_pcisync_api.dll", EntryPoint = "synchro_write_multi_binary")]
        public static extern int synchro_write_multi_binary(int card, int channel, int isynchro);
    }
}
